package com.citygis.template.domain.component.redis;

import java.lang.annotation.*;

@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
public @interface RedisCache {

    /**
     * the key of redis Naming rules: ${table name}:${method name}
     */
    String key() default "";

    /**
     * expiration time, default 1000ms
     */
    long expire() default 1000;
}
