package com.citygis.template.domain.facade;

import com.citygis.template.domain.facade.dto.TemplateDTO;
import com.citygis.template.domain.component.config.FeignConfiguration;
import com.citygis.template.domain.controller.co.template.TemplateQueryCO;
import com.citygis.template.domain.facade.impl.FeignServiceImpl;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

@FeignClient(name = "service-provider", fallback = FeignServiceImpl.class, configuration = FeignConfiguration.class)
@RequestMapping("/template")
public interface FeignService {
    @PostMapping(value = "/feign")
    TemplateDTO getTemplate(TemplateQueryCO co);
}
