package com.citygis.template.api.dto.template;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value = "模板Api请求DTO", description = "用于对外提供Api服务")
public class TemplateRequestDTO {
    @ApiModelProperty(value = "id", required = true, example = "20230590211")
    private Long id;
    @ApiModelProperty(value = "名称", required = true, example = "张三")
    private String name;
    @ApiModelProperty(value = "编号", required = true, example = "001")
    private String code;
    @ApiModelProperty(value = "年龄", required = false, example = "25")
    private Integer age;
}
