package com.citygis.template.domain.constant;

import lombok.Getter;

@Getter
public enum ErrorCode {
    /**
     * 通用
     */
    COMMON_DISABLE("{0}未启用"),
    COMMON_ACTIVE_DISABLE_2("{0}：{1}未启用"),
    COMMON_CANNOT_BLANK_1("{0}不可为空"),
    MAX_ERROR_2("{0}最多{1}个"),
    Enum_NOT_FOUND_ERR_2("{0}：{1}不存在"),
    IMPORT_PARAM_NOT_FOUND_ERR_1("{0}不存在"),
    IMPORT_PARAM_NOT_FOUND_ERR_2("{0}：{1}不存在"),
    // MQ
    MQ_DTO_ERROR("系统内DTO命名错误");

    private final String message;
    ErrorCode(String message) {
        this.message = message;
    }
}
