package com.citygis.template.domain.controller.co.template;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "模板入参",description = "适用于增删改接口入参")
public class TemplateCO {
    @ApiModelProperty(value = "id",required = true,example = "20230590211")
    private Long id;
    @ApiModelProperty(value = "名称",required = true,example = "张三")
    private String name;
    @ApiModelProperty(value = "编号",required = true,example = "001")
    private String code;
    @ApiModelProperty(value = "年龄",required = false,example = "25")
    private Integer age;
}
